## GstVulkanDisplayXCB

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstVulkanDisplay
                    ╰──GstVulkanDisplayXCB

the contents of a GstVulkanDisplayXCB are private and should only be accessed through the provided API

Since : 1.18

### Class structure

#### GstVulkanDisplayXCBClass

##### Fields

`object_class` (GstVulkanDisplayClass) –
No description available

Since : 1.18

### GstVulkanXCB.VulkanDisplayXCBClass

##### Attributes

`object_class` (GstVulkan.VulkanDisplayClass) –
No description available

Since : 1.18

### GstVulkanXCB.VulkanDisplayXCBClass

##### Attributes

`object_class` (GstVulkan.VulkanDisplayClass) –
No description available

Since : 1.18

## GstVulkanXCB.VulkanDisplayXCB

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVulkan.VulkanDisplay
                    ╰──GstVulkanXCB.VulkanDisplayXCB

the contents of a GstVulkanXCB.VulkanDisplayXCB are private and should only be accessed through the provided API

Since : 1.18

## GstVulkanXCB.VulkanDisplayXCB

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVulkan.VulkanDisplay
                    ╰──GstVulkanXCB.VulkanDisplayXCB

the contents of a GstVulkanXCB.VulkanDisplayXCB are private and should only be accessed through the provided API

Since : 1.18

### Constructors

#### gst_vulkan_display_xcb_new

    GstVulkanDisplayXCB *
    gst_vulkan_display_xcb_new (const gchar * name)

Create a new GstVulkanDisplayXCB from the xcb display name. See XOpenDisplay() for details on what is a valid name.

Parameters:

`name` ( [nullable]) –

a display name

Returns ( [transfer: full][nullable]) –

a new GstVulkanDisplayXCB or NULL

Since : 1.18

#### GstVulkanXCB.VulkanDisplayXCB.prototype.new

    function GstVulkanXCB.VulkanDisplayXCB.prototype.new(name: String): {
        // javascript wrapper for 'gst_vulkan_display_xcb_new'
    }

Create a new GstVulkanXCB.VulkanDisplayXCB from the xcb display name. See XOpenDisplay() for details on what is a valid name.

Parameters:

`name` (String) –

a display name

Returns (GstVulkanXCB.VulkanDisplayXCB) –

a new GstVulkanXCB.VulkanDisplayXCB or null

Since : 1.18

#### GstVulkanXCB.VulkanDisplayXCB.new

    def GstVulkanXCB.VulkanDisplayXCB.new (name):
        #python wrapper for 'gst_vulkan_display_xcb_new'

Create a new GstVulkanXCB.VulkanDisplayXCB from the xcb display name. See XOpenDisplay() for details on what is a valid name.

Parameters:

`name` (str) –

a display name

Returns (GstVulkanXCB.VulkanDisplayXCB) –

a new GstVulkanXCB.VulkanDisplayXCB or None

Since : 1.18

## Function Macros

### GST_VULKAN_DISPLAY_XCB_CAST

    #define GST_VULKAN_DISPLAY_XCB_CAST(obj)        ((GstVulkanDisplayXCB*)(obj))

### GST_VULKAN_DISPLAY_XCB_CONNECTION

    #define GST_VULKAN_DISPLAY_XCB_CONNECTION(d) (GST_VULKAN_DISPLAY_XCB(d)->connection)

### GST_VULKAN_DISPLAY_XCB_ROOT_WINDOW

    #define GST_VULKAN_DISPLAY_XCB_ROOT_WINDOW(d) (GST_VULKAN_DISPLAY_XCB(d)->root_window)

### GST_VULKAN_DISPLAY_XCB_SCREEN

    #define GST_VULKAN_DISPLAY_XCB_SCREEN(d) (GST_VULKAN_DISPLAY_XCB(d)->screen)

The results of the search are